> For the complete documentation index, see [llms.txt](https://www.cakewalk.security/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications/patch-workapps-workappid-customfields.md).

# PATCH /WorkApps/{workAppId}/CustomFields

## PATCH /api/v1/WorkApps/{workAppId}/CustomFields

> Updates the custom field values associated to a WorkApp. A null value removes the field.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"UpdateCustomFieldsForWorkAppRequestModelV1":{"required":["customFields"],"type":"object","properties":{"customFields":{"type":"array","items":{"$ref":"#/components/schemas/UpdateCustomFieldForWorkAppRequestModelV1"},"description":"List of Custom Field new values."}},"additionalProperties":false,"description":"Request model used to update custom Fields for a workapp."},"UpdateCustomFieldForWorkAppRequestModelV1":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"Identifier of the custom field to update.","format":"uuid"},"value":{"type":"string","description":"Value to update the custom field. A null value will remove the custom field value from the workapp.","nullable":true}},"additionalProperties":false,"description":"Request model used to update a custom Field for a workapp."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/WorkApps/{workAppId}/CustomFields":{"patch":{"tags":["WorkApps"],"summary":"Updates the custom field values associated to a WorkApp. A null value removes the field.","parameters":[{"name":"workAppId","in":"path","description":"The Work App's unique identifier.","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"requestBody":{"description":"The request model used to update the custom fields values for a workapp.","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/UpdateCustomFieldsForWorkAppRequestModelV1"}],"description":"Request model used to update custom Fields for a workapp."}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/UpdateCustomFieldsForWorkAppRequestModelV1"}],"description":"Request model used to update custom Fields for a workapp."}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/UpdateCustomFieldsForWorkAppRequestModelV1"}],"description":"Request model used to update custom Fields for a workapp."}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```

## The UpdateCustomFieldsForWorkAppRequestModelV1 object

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"components":{"schemas":{"UpdateCustomFieldsForWorkAppRequestModelV1":{"required":["customFields"],"type":"object","properties":{"customFields":{"type":"array","items":{"$ref":"#/components/schemas/UpdateCustomFieldForWorkAppRequestModelV1"},"description":"List of Custom Field new values."}},"additionalProperties":false,"description":"Request model used to update custom Fields for a workapp."},"UpdateCustomFieldForWorkAppRequestModelV1":{"required":["id"],"type":"object","properties":{"id":{"type":"string","description":"Identifier of the custom field to update.","format":"uuid"},"value":{"type":"string","description":"Value to update the custom field. A null value will remove the custom field value from the workapp.","nullable":true}},"additionalProperties":false,"description":"Request model used to update a custom Field for a workapp."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://www.cakewalk.security/docs/open-api-and-mcp/api-reference/applications/patch-workapps-workappid-customfields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
